SphinxClient::buildExcerpts
SphinxClient::__construct
SphinxClient
PHP Manual

# SphinxClient::buildKeywords

(No version information available, might be only in CVS)

SphinxClient::buildKeywords — Extract keywords from query

### Description

public array SphinxClient::buildKeywords ( string `$query` , string `$index` , bool `$hits` )

Extracts keywords from `query` using tokenizer settings for the given `index` , optionally with per-keyword occurrence statistics.

### Parameters

`query`

  A query to extract keywords from.

`index`

  An index to get tokenizing settings and keyword occurrence statistics from.

`hits`

  A boolean flag to enable/disable keyword statistics generation.

### Return Values

Returns an array of associative arrays with per-keyword information.

SphinxClient::buildExcerpts
SphinxClient::__construct
SphinxClient
PHP Manual